%define dist_version 1_0_2

Name: jaf
Version: 1.0.2
Release: alt2

Summary: JavaBeans Activation Framework
Group: System/Libraries
License: Sun Binary Code License
Url: http://java.sun.com/products/javabeans/glasgow/jaf.html

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc

Source0: %name-%dist_version.zip

BuildArch: noarch

BuildRequires: unzip

%description
With the JavaBeans Activation Framework standard extension,
developers who use Java technology can take advantage of standard
services to determine the type of an arbitrary piece of data,
encapsulate access to it, discover the operations available on it, and
to instantiate the appropriate bean to perform said operation(s). For
example, if a browser obtained a JPEG image, this framework would enable
the browser to identify that stream of data as an JPEG image, and from
that type, the browser could locate and instantiate an object that could
manipulate, or view that image.
The JavaBeans Activation Framework is implemented as a standard
extension. Sun provides a royalty-free reference implementation of the
JAF software, in binary form, that developers can use to develop JAF
technology-enabled applications for any platform that supports the Java
Development Kit (JDK) 1.1 software or the Java 2 Standard Edition.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
Documentation for JavaBeans Activation Framework.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for JavaBeans Activation Framework.

%package demo
Summary: Demo for %name
Requires: %name = %version-%release
Group: Development/Java

%description demo
Demonstrations and samples for JavaBeans Activation Framework.

%prep
%setup -q

%install
# jars
mkdir -p $RPM_BUILD_ROOT%javadir
install -p -m644 activation.jar $RPM_BUILD_ROOT%javadir/activation.jar
# javadoc
install -d -m755 $RPM_BUILD_ROOT%javadocdir/%name
cp -a docs/javadocs/* $RPM_BUILD_ROOT%javadocdir/%name
# data
install -d -m755 $RPM_BUILD_ROOT%_datadir/%name
cp -a demo $RPM_BUILD_ROOT%_datadir/%name

%files
%doc LICENSE.txt README.txt RELNOTES.txt
%javadir/*

%files manual
%doc docs/JAF-*

%files javadoc
%javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Fri Dec 19 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.2-alt2
- Added unzip to BuildRequires

* Wed Sep 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.2-alt1
- Ported to Sisyphus from JPackage
